#ifndef PARAMETERMANAGER_H
#define PARAMETERMANAGER_H

#include <iostream>
#include <getopt.h>
#include <string.h>


enum Modus {
    EXIT = -1,
    DEFAULT_MODUS = 0,
    DIRECT_LINK_MODUS = 1
};


struct Settings {
    Settings() {}
    Settings(std::string name) : name(name) {}

    std::string name,
        accountFilePath = "/home/markus/a",
        proxy_ip = "127.0.0.1",
        proxy_port = "9050",
        genaueHoster,
        languages = "GerDub,GerSub,Eng",
        outputFilePath;
    Modus modus = Modus::DEFAULT_MODUS;
    bool colorless = false;
};

Settings manageParameter(int argc, char ** argv);
std::string getProgramName(char * argv0);

void unterOption_help(Settings * settings, char *argv0);


void unterOption_default(Settings * settings, int argc, char **argv);
void unterOption_default_help(Settings * settings, char * argv0);

void unterOption_url(Settings * settings, int argc, char **argv);
void unterOption_url_help(Settings * settings, char *argv0);


#endif // PARAMETERMANAGER_H
